Loading...
Searching...
No Matches
dns.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/ip_addr.h"`
`#include "lwip/err.h"`

## Macros

#define | DNS_TMR_INTERVAL 1000

## Typedefs

typedef void(* | dns_found_callback) (const char *name, const ip_addr_t *ipaddr, void *callback_arg)

## Functions

void | dns_init (void)
void | dns_tmr (void)
void | dns_setserver (u8_t numdns, const ip_addr_t *dnsserver)
const ip_addr_t * | dns_getserver (u8_t numdns)
err_t | dns_gethostbyname (const char *hostname, ip_addr_t *addr, dns_found_callback found, void *callback_arg)
err_t | dns_gethostbyname_addrtype (const char *hostname, ip_addr_t *addr, dns_found_callback found, void *callback_arg, u8_t dns_addrtype)

## Detailed Description

DNS API

## Macro Definition Documentation

## DNS_TMR_INTERVAL

#define DNS_TMR_INTERVAL 1000

lwip DNS resolver header file.

Author: Jim Pettinato April 2007 DNS timer period

## Typedef Documentation

## dns_found_callback

typedef void(* dns_found_callback) (const char *name, const ip_addr_t *ipaddr, void *callback_arg)

Callback which is invoked when a hostname is found. A function of this type must be implemented by the application using the DNS resolver.

Parameters

  name | pointer to the name that was looked up.
  ipaddr | pointer to an ip_addr_t containing the IP address of the hostname, or NULL if the name could not be found (or on any other error).
  callback_arg | a user-specified callback argument passed to dns_gethostbyname

## Function Documentation

## dns_init()

void dns_init | ( | void |  | ) |

Initialize the resolver: set up the UDP pcb and configure the default server (if DNS_SERVER_ADDRESS is set).

## dns_tmr()

void dns_tmr | ( | void |  | ) |

The DNS resolver client timer - handle retries and timeouts and should be called every DNS_TMR_INTERVAL milliseconds (every second by default).